Bug 1014443 - [abrt] nepomuk-core-4.11.1-1.fc19: __strlen_sse2: Process /usr/bin/nepomukindexer was killed by signal 11 (SIGSEGV)
[abrt] nepomuk-core-4.11.1-1.fc19: __strlen_sse2: Process /usr/bin/nepomukind...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ebook-tools (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: john5342
Fedora Extras Quality Assurance
abrt_hash:ce5a4fa832fafa21492143d0490...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 00:01 EDT by bitfiddler
Modified: 2013-11-10 02:38 EST (History)
9 users (show)

See Also:
Fixed In Version: ebook-tools-0.2.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: C:\nppdf32Log\debuglog.txt (81 bytes, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: backtrace (22.87 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: core_backtrace (5.37 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: dso_list (9.55 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: environ (3.16 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: maps (52.45 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: open_fds (697 bytes, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details
File: var_log_messages (13.11 KB, text/plain)
2013-10-02 00:01 EDT, bitfiddler
no flags Details

  None (edit)
Description bitfiddler 2013-10-02 00:01:02 EDT
Description of problem:
No user interaction required, two changes to system that I am aware of, 
copied many photos and itunes library to the system and recently updates 
to latest releases on Fedora 19 x86_64 system.

Version-Release number of selected component:
nepomuk-core-4.11.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/nepomukindexer '/home/jim/Music/bitbus/iTunes/iTunes Music/Books/David Weber/The Shiva Option - David Weber.epub'
crash_function: __strlen_sse2
executable:     /usr/bin/nepomukindexer
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 __strlen_sse2 at ../sysdeps/x86_64/strlen.S:31
 #1 _ocf_parse_container at /usr/src/debug/ebook-tools-0.2.1/src/libepub/ocf.c:36
 #2 _ocf_parse at /usr/src/debug/ebook-tools-0.2.1/src/libepub/ocf.c:236
 #3 epub_open at /usr/src/debug/ebook-tools-0.2.1/src/libepub/epub.c:25
 #4 Nepomuk2::EPubExtractor::extract at /usr/src/debug/nepomuk-core-4.11.1/services/fileindexer/indexer/epubextractor.cpp:76
 #5 Nepomuk2::Indexer::fileIndex at /usr/src/debug/nepomuk-core-4.11.1/services/fileindexer/indexer/indexer.cpp:146
 #6 Nepomuk2::Indexer::indexFile at /usr/src/debug/nepomuk-core-4.11.1/services/fileindexer/indexer/indexer.cpp:101
Comment 1 bitfiddler 2013-10-02 00:01:06 EDT
Created attachment 806253 [details]
File: C:\nppdf32Log\debuglog.txt
Comment 2 bitfiddler 2013-10-02 00:01:10 EDT
Created attachment 806254 [details]
File: backtrace
Comment 3 bitfiddler 2013-10-02 00:01:13 EDT
Created attachment 806255 [details]
File: cgroup
Comment 4 bitfiddler 2013-10-02 00:01:16 EDT
Created attachment 806256 [details]
File: core_backtrace
Comment 5 bitfiddler 2013-10-02 00:01:22 EDT
Created attachment 806257 [details]
File: dso_list
Comment 6 bitfiddler 2013-10-02 00:01:26 EDT
Created attachment 806258 [details]
File: environ
Comment 7 bitfiddler 2013-10-02 00:01:29 EDT
Created attachment 806259 [details]
File: exploitable
Comment 8 bitfiddler 2013-10-02 00:01:32 EDT
Created attachment 806260 [details]
File: limits
Comment 9 bitfiddler 2013-10-02 00:01:35 EDT
Created attachment 806261 [details]
File: maps
Comment 10 bitfiddler 2013-10-02 00:01:38 EDT
Created attachment 806262 [details]
File: open_fds
Comment 11 bitfiddler 2013-10-02 00:01:41 EDT
Created attachment 806263 [details]
File: proc_pid_status
Comment 12 bitfiddler 2013-10-02 00:01:44 EDT
Created attachment 806264 [details]
File: var_log_messages
Comment 13 Roderick Timmerman 2013-10-18 12:54:01 EDT
Hello

This same bug may be the one that's affecting my use of libzip (cannot execute zip_close()).  Is there any word on when it will be fixed?
Comment 14 Rex Dieter 2013-10-18 12:56:57 EDT
Not sure what nepomuk-core has to do with libzip... ??

Fwiw, I'm not aware of anyone currently actively investigating this unfortunately.  Any help/debuging is welcome.
Comment 15 Roderick Timmerman 2013-10-18 13:00:50 EDT
You're right.  What I've found may be another issue.  I will gladly help where I can when I can.
Comment 16 Rex Dieter 2013-10-18 13:07:50 EDT
Ah, silly me, 

 #0 __strlen_sse2 at ../sysdeps/x86_64/strlen.S:31
 #1 _ocf_parse_container at /usr/src/debug/ebook-tools-0.2.1/src/libepub/ocf.c:36
 #2 _ocf_parse at /usr/src/debug/ebook-tools-0.2.1/src/libepub/ocf.c:236
 #3 epub_open at /usr/src/debug/ebook-tools-0.2.1/src/libepub/epub.c:25

let's bounce this over there
Comment 17 john5342 2013-10-18 14:17:28 EDT
The epub format is effectively a zip file with content spread across a few files. One of the files required by the spec is "META-INF/container.xml". If your epub document is an invalid zip file or does not contain that file it is ill formed.

Despite that, upstream ebook-tools created a new release last month that fails gracefully rather than crashing. I will build an update in a little while.
Comment 18 Fedora Update System 2013-10-18 19:14:16 EDT
ebook-tools-0.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ebook-tools-0.2.2-1.fc20
Comment 19 Fedora Update System 2013-10-18 19:23:02 EDT
ebook-tools-0.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ebook-tools-0.2.2-1.fc19
Comment 20 Fedora Update System 2013-10-18 19:34:17 EDT
ebook-tools-0.2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ebook-tools-0.2.2-1.fc18
Comment 21 Fedora Update System 2013-10-19 05:10:34 EDT
Package ebook-tools-0.2.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ebook-tools-0.2.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19466/ebook-tools-0.2.2-1.fc18
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-10-28 23:40:27 EDT
ebook-tools-0.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-10-28 23:44:18 EDT
ebook-tools-0.2.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-11-10 02:38:12 EST
ebook-tools-0.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.